<config>
   <native xmlns="http://cisco.com/ns/yang/Cisco-IOS-XE-native">
      <interface>
         <{{ base }}>
            <name>{{ interface_id }}.{{ vlan_id }}</name>
            <encapsulation>
               <dot1Q>
                  <vlan-id>{{ vlan_id }}</vlan-id>
               </dot1Q>
            </encapsulation>
            <ip>
               <address>
                  <primary>
                     <address>{{ ip }}</address>
                     <mask>{{ subnet_mask }}</mask>
                  </primary>
               </address>
            </ip>
         </{{ base }}>
      </interface>
   </native>
</config>
